Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226102 - Merge Review: lockdev
Summary: Merge Review: lockdev
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:34 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-09 12:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-09 12:48:13 UTC
mlichvar: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:34:40 UTC
Fedora Merge Review: lockdev

http://cvs.fedora.redhat.com/viewcvs/devel/lockdev/
Initial Owner: kzak@redhat.com

Comment 1 Miroslav Lichvar 2009-12-01 14:09:40 UTC
Review follows:

NO source files match upstream.
- source URL gives 404

YES package meets naming and versioning guidelines.
YES specfile is properly named, is cleanly written and uses macros consistently.
YES dist tag is present.
YES build root is correct. (no build root specified)
NO license field matches the actual license.
- the actual license seems to be LGPLv2, under LGPLv2+ is licensed only baudboy.h
YES license is open source-compatible.
NO License text included in package.
NO latest version is being packaged.
- is there a reason for not packaging 1.0.3?
YES BuildRequires are proper.
YES compiler flags are appropriate.
YES %clean is present.
YES package builds in mock (Rawhide/x86_64).
YES debuginfo package looks complete.
YES rpmlint output is sane.
lockdev.x86_64: E: setgid-binary /usr/sbin/lockdev lock 02711
lockdev.x86_64: E: non-standard-executable-perm /usr/sbin/lockdev 02711
lockdev.x86_64: E: non-standard-executable-perm /usr/sbin/lockdev 02711

These are ok.

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES shared libraries are added to the regular linker search paths, ldconfig called in %post and %postun.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.
YES file permissions are appropriate.
YES code, not content.
YES documentation is small, so no -docs subpackage is necessary.
- documentation should include some files like AUTHORS, ChangeLog
YES %docs are not necessary for the proper functioning of the package.
YES headers packaged in -devel subpackage
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.

Comment 2 Jiri Popelka 2009-12-08 13:05:42 UTC
All problems should be fixed in lockdev-1.0.3-1.fc13.

Comment 3 Miroslav Lichvar 2009-12-09 12:48:13 UTC
OK source files match upstream.
64b9c1b87b125fc348e892e24625524a  lockdev_1.0.3.orig.tar.gz

OK License text included in package.
- maybe would be good to include also AUTHORS and Changelog
OK latest version is being packaged.

Looks ok, approved.


Note You need to log in before you can comment on or make changes to this bug.